CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api POST /v1/payment-outcome-intents/<intentId>/draft-links \
--body '<request-json>'Link a Lane A draft to an intent (<intentId>).
# Infinite MCP is read-only for this endpoint — use a dedicated MCP tool when one exists, otherwise run the CLI tab.import requests
url = "https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}/draft-links"
payload = { "draftId": "tdraft_abc123" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({draftId: 'tdraft_abc123'})
};
fetch('https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}/draft-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}/draft-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'draftId' => 'tdraft_abc123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}/draft-links"
payload := strings.NewReader("{\n \"draftId\": \"tdraft_abc123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}/draft-links")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"draftId\": \"tdraft_abc123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}/draft-links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"draftId\": \"tdraft_abc123\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"draftKind": "PAYEE_DRAFT",
"draftId": "<string>",
"linkedAt": "2023-11-07T05:31:56Z"
}Payment Outcome Intents
Link a Lane A draft to an intent
Associate Lane A drafts while the intent is OPEN. Payee drafts (eba_…) are verified via account ownership. Transfer drafts (tdraft_…) require the MCP claim snapshot from get_transfer_draft (not AccountsService lookup).
POST
/
v1
/
payment-outcome-intents
/
{intentId}
/
draft-links
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api POST /v1/payment-outcome-intents/<intentId>/draft-links \
--body '<request-json>'Link a Lane A draft to an intent (<intentId>).
# Infinite MCP is read-only for this endpoint — use a dedicated MCP tool when one exists, otherwise run the CLI tab.import requests
url = "https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}/draft-links"
payload = { "draftId": "tdraft_abc123" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({draftId: 'tdraft_abc123'})
};
fetch('https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}/draft-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}/draft-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'draftId' => 'tdraft_abc123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}/draft-links"
payload := strings.NewReader("{\n \"draftId\": \"tdraft_abc123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}/draft-links")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"draftId\": \"tdraft_abc123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}/draft-links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"draftId\": \"tdraft_abc123\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"draftKind": "PAYEE_DRAFT",
"draftId": "<string>",
"linkedAt": "2023-11-07T05:31:56Z"
}Authorizations
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Path Parameters
Intent id (oint_…).
Body
application/json
PAYEE_DRAFT links a verified eba_… account. TRANSFER_DRAFT links an MCP tdraft_… with a verified snapshot payload.
Available options:
PAYEE_DRAFT, TRANSFER_DRAFT Lane A draft id (eba_… or tdraft_…).
Example:
"tdraft_abc123"
Required when draftKind is TRANSFER_DRAFT — MCP claim snapshot from get_transfer_draft.
Show child attributes
Show child attributes
Was this page helpful?